<?xml version="1.0" encoding="UTF-8"?>
<example name="erpc_client_matrix_multiply_spi" category="multiprocessor_examples" board_ref="FRDM_K64F" version="1.0.0" format_version="2.1">
  <source path="CMSIS/Include" target_path="CMSIS/Include" type="c_include">
    <files mask="arm_common_tables.h"/>
    <files mask="arm_const_structs.h"/>
    <files mask="arm_math.h"/>
    <files mask="cmsis_armcc.h"/>
    <files mask="cmsis_armcc_V6.h"/>
    <files mask="cmsis_gcc.h"/>
    <files mask="core_cm0.h"/>
    <files mask="core_cm0plus.h"/>
    <files mask="core_cm3.h"/>
    <files mask="core_cm4.h"/>
    <files mask="core_cm7.h"/>
    <files mask="core_cmFunc.h"/>
    <files mask="core_cmInstr.h"/>
    <files mask="core_cmSimd.h"/>
    <files mask="core_sc000.h"/>
    <files mask="core_sc300.h"/>
  </source>
  <source path="boards/frdmk64f/multiprocessor_examples/erpc_client_matrix_multiply_spi" target_path="sources" type="c_include">
    <files mask="board.h"/>
    <files mask="clock_config.h"/>
    <files mask="erpc_config.h"/>
    <files mask="pin_mux.h"/>
  </source>
  <source path="boards/frdmk64f/multiprocessor_examples/erpc_client_matrix_multiply_spi" target_path="doc" type="doc">
    <files mask="readme.txt"/>
  </source>
  <source path="boards/frdmk64f/multiprocessor_examples/erpc_client_matrix_multiply_spi" target_path="sources" type="src">
    <files mask="board.c"/>
    <files mask="clock_config.c"/>
    <files mask="main_client.c"/>
    <files mask="pin_mux.c"/>
  </source>
  <source path="boards/frdmk64f/multiprocessor_examples/erpc_common/erpc_matrix_multiply/service" target_path="sources" type="c_include">
    <files mask="erpc_matrix_multiply.h"/>
  </source>
  <source path="boards/frdmk64f/multiprocessor_examples/erpc_common/erpc_matrix_multiply/service" target_path="sources" type="script">
    <files mask="erpc_matrix_multiply.erpc"/>
  </source>
  <source path="boards/frdmk64f/multiprocessor_examples/erpc_common/erpc_matrix_multiply/service" target_path="sources" type="src">
    <files mask="erpc_matrix_multiply_client.cpp"/>
  </source>
  <source path="boards/frdmk64f/multiprocessor_examples/erpc_common" target_path="sources" type="c_include">
    <files mask="erpc_error_handler.h"/>
  </source>
  <source path="boards/frdmk64f/multiprocessor_examples/erpc_common" target_path="sources" type="src">
    <files mask="erpc_error_handler.cpp"/>
  </source>
  <source path="devices/MK64F12/arm" target_path="devices/arm" type="src" compiler="arm">
    <files mask="startup_MK64F12.s"/>
  </source>
  <source path="devices/MK64F12/drivers" target_path="drivers" type="c_include">
    <files mask="fsl_clock.h"/>
    <files mask="fsl_common.h"/>
    <files mask="fsl_dspi.h"/>
    <files mask="fsl_flash.h"/>
    <files mask="fsl_gpio.h"/>
    <files mask="fsl_port.h"/>
    <files mask="fsl_smc.h"/>
    <files mask="fsl_uart.h"/>
  </source>
  <source path="devices/MK64F12/drivers" target_path="drivers" type="src">
    <files mask="fsl_clock.c"/>
    <files mask="fsl_common.c"/>
    <files mask="fsl_dspi.c"/>
    <files mask="fsl_flash.c"/>
    <files mask="fsl_gpio.c"/>
    <files mask="fsl_smc.c"/>
    <files mask="fsl_uart.c"/>
  </source>
  <source path="devices/MK64F12/gcc" target_path="devices/gcc" type="src" compiler="gcc">
    <files mask="startup_MK64F12.S"/>
  </source>
  <source path="devices/MK64F12/iar" target_path="devices/iar" type="src" compiler="iar">
    <files mask="startup_MK64F12.s"/>
  </source>
  <source path="devices/MK64F12/utilities" target_path="utilities" type="c_include">
    <files mask="fsl_debug_console.h"/>
  </source>
  <source path="devices/MK64F12/utilities" target_path="utilities" type="src">
    <files mask="fsl_debug_console.c"/>
  </source>
  <source path="devices/MK64F12" target_path="devices" type="c_include">
    <files mask="MK64F12.h"/>
    <files mask="MK64F12_features.h"/>
    <files mask="fsl_device_registers.h"/>
    <files mask="system_MK64F12.h"/>
  </source>
  <source path="devices/MK64F12" target_path="devices" type="src">
    <files mask="system_MK64F12.c"/>
  </source>
  <source path="middleware/multicore_2.2.0/erpc/erpc_c/infra" target_path="multicore/erpc/erpc_c/infra" type="c_include">
    <files mask="basic_codec.h"/>
    <files mask="client_manager.h"/>
    <files mask="codec.h"/>
    <files mask="erpc_common.h"/>
    <files mask="erpc_version.h"/>
    <files mask="framed_transport.h"/>
    <files mask="manually_constructed.h"/>
    <files mask="message_buffer.h"/>
    <files mask="transport.h"/>
  </source>
  <source path="middleware/multicore_2.2.0/erpc/erpc_c/infra" target_path="multicore/erpc/erpc_c/infra" type="src">
    <files mask="basic_codec.cpp"/>
    <files mask="client_manager.cpp"/>
    <files mask="framed_transport.cpp"/>
    <files mask="message_buffer.cpp"/>
  </source>
  <source path="middleware/multicore_2.2.0/erpc/erpc_c/port" target_path="multicore/erpc/erpc_c/port" type="c_include">
    <files mask="erpc_config_internal.h"/>
    <files mask="erpc_port.h"/>
  </source>
  <source path="middleware/multicore_2.2.0/erpc/erpc_c/port" target_path="multicore/erpc/erpc_c/port" type="src">
    <files mask="erpc_port_stdlib.cpp"/>
  </source>
  <source path="middleware/multicore_2.2.0/erpc/erpc_c/setup" target_path="multicore/erpc/erpc_c/setup" type="c_include">
    <files mask="erpc_client_setup.h"/>
    <files mask="erpc_mbf_setup.h"/>
    <files mask="erpc_transport_setup.h"/>
  </source>
  <source path="middleware/multicore_2.2.0/erpc/erpc_c/setup" target_path="multicore/erpc/erpc_c/setup" type="src">
    <files mask="erpc_client_setup.cpp"/>
    <files mask="erpc_setup_dspi_master.cpp"/>
    <files mask="erpc_setup_mbf_dynamic.cpp"/>
  </source>
  <source path="middleware/multicore_2.2.0/erpc/erpc_c/transports" target_path="multicore/erpc/erpc_c/transports" type="c_include">
    <files mask="dspi_master_transport.h"/>
  </source>
  <source path="middleware/multicore_2.2.0/erpc/erpc_c/transports" target_path="multicore/erpc/erpc_c/transports" type="src">
    <files mask="dspi_master_transport.cpp"/>
  </source>
  <include_paths>
    <include path="CMSIS/Include"/>
    <include path="devices"/>
    <include path="drivers"/>
    <include path="multicore/erpc/erpc_c/infra"/>
    <include path="multicore/erpc/erpc_c/port"/>
    <include path="multicore/erpc/erpc_c/setup"/>
    <include path="multicore/erpc/erpc_c/transports"/>
    <include path="sources"/>
    <include path="utilities"/>
  </include_paths>
</example>
